- dotTech - https://dottech.org -

How to root Samsung Galaxy J SC-02F DoCoMo on Android 5.0 [Guide]

Samsung-Galaxy-J [1]Samsung has released some DoCoMo variants of smartphone coming from their Galaxy range. One of those devices is the DoCoMo variant of the Samsung Galaxy J. If you own the same and are running the current Android 5.0 software on the device, you can learn how to root Samsung Galaxy J SC-02F DoCoMo by following the guide after the break.

REQUIREMENTS

BEFORE WE BEGIN

HOW TO ROOT SAMSUNG GALAXY J SC-02F DOCOMO

  1. Download your rooting bundle for the SC-02F from this link [3] directly to the Windows computer.
  2. Drag the file from your default download location over to the desktop of the PC.
  3. Right-click over the file and select the “extract here” to extract your bundle on the desktop.
  4. You should see the rooting file and the Odin file on the desktop. Double-click on the Odin flash tool and get it to open on your desktop.
  5. Turn off the Samsung Galaxy J and reboot it in download mode [4].
  6. Connect the Galaxy J to the computer with the USB cable.
  7. Click the PDA button from the Odin user-interface on the desktop of the computer and upload the rooting file you extracted to the desktop earlier.
  8. Leave the default settings in the Odin flash tool the way they already are from downloading a fresh copy.
  9. Click the Start button and the Odin flash tool will now flash your rooting exploit on the Galaxy J smartphone.
  10. Wait until you get the ‘pass’ message and your Galaxy J reboots before closing the Odin flash tool and unplugging from the computer.
  11. You can now start installing your apps that require root access from various sources around the web. You already have SuperSU on your device, so you do not need to install it from the Google Play Store.

Those people who cannot get the DoCoMo variant of the Samsung Galaxy J rooted by following the steps above should try installing the Samsung USB Drivers, or install a different version of the Odin flash tool [5]. Since it was the Odin 3.07 you used in the steps, you should try Odin 3.09 to the Odin 3.10 next. Sometimes it requires a different Odin version to work.